=font-face($family, $filename, $folder, $style: normal, $weight: 300, $weightName: "", $hsaSvg: false)
  @font-face
    font-family: $family
    font-style: $style
    font-weight: $weight
    src: url('../../Font/#{$folder}/eot/#{$filename}-#{$weightName}.eot')

    @if ($hsaSvg)
      src: url('../../Font/#{$folder}/eot/#{$filename}-#{$weightName}.eot?#iefix') format('embedded-opentype'), url('../../Font/#{$folder}/woff/#{$filename}-#{$weightName}.woff') format("woff"), url('../../Font/#{$folder}/ttf/#{$filename}-#{$weightName}.ttf') format("truetype"), url('../../Font/#{$folder}/svg/#{$filename}-#{$weightName}.svg') format("svg")

    @else
      src: url('../../Font/#{$folder}/eot/#{$filename}-#{$weightName}.eot?#iefix') format('embedded-opentype'), url('../../Font/#{$folder}/woff/#{$filename}-#{$weightName}.woff') format("woff"), url('../../Font/#{$folder}/ttf/#{$filename}-#{$weightName}.ttf') format("truetype")
